Page MenuHomeFreeBSD

update net-mgmt/seafile-client to 6.0.2
ClosedPublic

Authored by lifanov on Jan 22 2017, 4:29 PM.
Tags
None
Referenced Files
F89225617: D9292.diff
Thu, Jul 25, 6:57 AM
Unknown Object (File)
Wed, Jul 3, 11:43 AM
Unknown Object (File)
Jun 21 2024, 8:18 AM
Unknown Object (File)
Jun 14 2024, 2:50 AM
Unknown Object (File)
Jun 14 2024, 2:23 AM
Unknown Object (File)
Jun 9 2024, 3:59 PM
Unknown Object (File)
May 19 2024, 1:46 AM
Unknown Object (File)
May 18 2024, 8:18 AM
Subscribers

Details

Summary
update net-mgmt/seafile-client

Changes: https://github.com/haiwen/seafile/commits/v6.0.2

* Removed -server options
* Regenerated/removed patchfiles

 - Return error detail for clone and sync tasks.
 - Save file sync errors to database.
 - Use unified progress for multipart uploads.
 - Remove server code.
 - Use GLib to calculate SHA1.
 - Allow compiling with GPL-compatible crypto libraries.
 - Fix some bugs.
 - Add back seafile python library.

 PR: 216348
 Submitted by: ultima1252@gmail.com
 Reviewed by: matthew
 Approved by: matthew (mentor)
 Differential Revision: https://reviews.freebsd.org/DXXXX
Test Plan

poudriere testport - OK

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

lifanov retitled this revision from to update net-mgmt/seafile-client to 6.0.2.
lifanov updated this object.
lifanov edited the test plan for this revision. (Show Details)
lifanov added a reviewer: matthew.
lifanov added a subscriber: koobs.
This revision is now accepted and ready to land.Jan 22 2017, 10:59 PM
This revision was automatically updated to reflect the committed changes.